Subject: Re: bug#8169: 23.2; wrong fontification in gdb-script

From: Stefan Monnier <[email-masked]>
Date: Sun, 06 Mar 2011 15:49:36 -0500

> document something
> this is some text
> end

> Now it gives "end" the string face.  In fact, it doesn't seem to
> recognize the "end" at all any more, subsequent lines are also fontified
> as strings.

Are you testing it in Emacs-23 maybe, where (nth 7 (syntax-ppss)) never
return 1?

        Stefan